# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = Test Game.exe
OBJFILES = Test Game.obj \
   "..\Source\TIntroForm.obj" \
   "..\Source\TStatusForm.obj" \
   "..\Source\TMainForm.obj" \
   "..\Source\TPlayerSetupForm.obj" \
   "..\Source\TGameForm.obj"
RESFILES = Test Game.res
DEFFILE =
RESDEPEN = $(RESFILES) \
   "..\Source\TIntroForm.dfm" \
   "..\Source\TStatusForm.dfm" \
   "..\Source\TMainForm.dfm" \
   "..\Source\TPlayerSetupForm.dfm" \
   "..\Source\TGameForm.dfm"
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -I.\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -$L- -$D- -JPHNV -M
RFLAGS = -i.\..\Source;$(BCB)\include;$(BCB)\include\vcl
LFLAGS = -L.\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -V4.0

IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
